- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

GAuth::SecretsFile Member List

This is the complete list of members for GAuth::SecretsFile, including all inherited members.

contains(const std::string &mechanism) const | GAuth::SecretsFile |
id(const std::string &mechanism) const | GAuth::SecretsFile |
path() const | GAuth::SecretsFile |
secret(const std::string &mechanism) const | GAuth::SecretsFile |
secret(const std::string &mechanism, const std::string &id) const | GAuth::SecretsFile |
SecretsFile(const G::Path &path, bool auto_, const std::string &name, const std::string &type) | GAuth::SecretsFile |
valid() const | GAuth::SecretsFile |
~SecretsFile() | GAuth::SecretsFile |